org.eclipse.january.dataset

## Interface DateDataset

- All Superinterfaces:
    Dataset, IDataset, ILazyDataset, IMetadataProvider, INameable, Serializable
  All Known Implementing Classes:
    DateDatasetImpl

      public interface DateDataset
      extends Dataset

  Interface for a dataset containing `Date`s.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.january.dataset.Dataset

      `ARRAYFLOAT32, ARRAYFLOAT64, ARRAYINT16, ARRAYINT32, ARRAYINT64, ARRAYINT8, ARRAYMUL, BOOL, COMPLEX, COMPLEX128, COMPLEX64, DATE, FLOAT, FLOAT32, FLOAT64, INT, INT16, INT32, INT64, INT8, OBJECT, RGB, serialVersionUID, STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getDate()` Get the first date.
    `Date` | `getDate(int... pos)` Get the date at given indices
    `Date` | `getDate(int i)` Get the date at index i.
    `Date` | `getDate(int i, int j)` Get the date at index i, j.
    `Date` | `getDateAbs(int index)` Get the date at the given absolute index.

    - ### Methods inherited from interface org.eclipse.january.dataset.Dataset

      `all, all, any, any, argMax, argMax, argMin, argMin, cast, cast, cast, checkAxis, checkCompatibility, clone, containsInfs, containsInvalidNumbers, containsNans, copy, copy, copyItemsFromAxes, count, count, count, fill, fillDataset, flatten, get1DIndex, getBoolean, getBoolean, getBoolean, getBooleanIterator, getBooleanIterator, getBroadcastView, getBuffer, getBy1DIndex, getByBoolean, getByIndexes, getByte, getByte, getByte, getDouble, getDouble, getDouble, getDType, getElementBooleanAbs, getElementDoubleAbs, getElementLongAbs, getError, getError, getError, getErrorArray, getErrorArray, getErrorBuffer, getErrors, getFloat, getFloat, getFloat, getIndices, getInt, getInt, getInt, getIterator, getIterator, getLong, getLong, getLong, getNbytes, getNDPosition, getObject, getObject, getObject, getObjectAbs, getOffset, getPositionIterator, getRealPart, getRealView, getShapeRef, getShort, getShort, getShort, getSlice, getSlice, getSlice, getSlice, getSlice, getSlice, getSliceIterator, getSliceIterator, getSliceIteratorFromAxes, getSliceView, getSliceView, getSliceView, getStrides, getString, getString, getString, getStringAbs, getTransposedView, getUniqueItems, getView, hasFloatingPointElements, iadd, idivide, ifloor, ifloorDivide, imultiply, ipower, iremainder, isCompatibleWith, isComplex, isubtract, max, max, mean, mean, min, min, overrideInternal, peakToPeak, peakToPeak, peakToPeak, product, product, product, reshape, residual, residual, residual, rootMeanSquare, rootMeanSquare, rootMeanSquare, set, set, set, setBy1DIndex, setByBoolean, setByIndexes, setDirty, setErrorBuffer, setItemsOnAxes, setObjectAbs, setSlice, setSlice, setSlice, setSlice, sort, squeeze, squeeze, squeezeEnds, stdDeviation, stdDeviation, stdDeviation, stdDeviation, stdDeviation, stdDeviation, sum, sum, sum, swapAxes, synchronizedCopy, toString, transpose, variance, variance, variance, variance, variance, variance`

    - ### Methods inherited from interface org.eclipse.january.dataset.IDataset

      `getBoolean, getByte, getDouble, getError, getErrorArray, getFloat, getInt, getItemBytes, getLong, getMetadata, getObject, getShort, getString, max, maxPos, mean, min, minPos, resize, set, setStringFormat`

    - ### Methods inherited from interface org.eclipse.january.dataset.ILazyDataset

      `addMetadata, clearMetadata, getElementClass, getElementsPerItem, getRank, getShape, getSize, hasErrors, setErrors, setMetadata, setShape`

    - ### Methods inherited from interface org.eclipse.january.dataset.IMetadataProvider

      `getFirstMetadata, getMetadata`

    - ### Methods inherited from interface org.eclipse.january.INameable

      `getName, setName`

- - ### Method Detail

    - #### getDate

          Date getDate()

      Get the first date. The dataset must not be null
      Returns:
        date
      Since:
        2.0

    - #### getDate

          Date getDate(int i)

      Get the date at index i. The dataset must be 1D
      Parameters:
        `i` -
      Returns:
        date

    - #### getDate

          Date getDate(int i,
                     int j)

      Get the date at index i, j. The dataset must be 2D
      Parameters:
        `i` -
        `j` -
      Returns:
        date

    - #### getDate

          Date getDate(int... pos)

      Get the date at given indices
      Parameters:
        `pos` - indices
      Returns:
        date

    - #### getDateAbs

          Date getDateAbs(int index)

      Get the date at the given absolute index. See warning for `Dataset` interface.
      Parameters:
        `index` -
      Returns:
        date

Copyright © 2014–2018 Eclipse Foundation. All rights reserved.